[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: New package: clusterssh



On Thu, 2005-06-23 at 17:08 +0100, Duncan Ferguson wrote:
> 
> RPM: 
> http://prdownloads.sourceforge.net/clusterssh/clusterssh-3.16.1-1.i386.rpm?download 
> 
> SRC: 
> http://prdownloads.sourceforge.net/clusterssh/clusterssh-3.16.1.tar.gz?download
> 
> Any/all comments welcome.


Hi Duncan,

It looks interesting and, for cluster folks, probably quite useful.  So
I gave it a try.  The RPM build worked but the install failed with:

 error: Failed dependencies:
  perl(Tk) >= 800.022 is needed by clusterssh-3.16.1-1.i386
  perl(Tk::Dialog) is needed by clusterssh-3.16.1-1.i386
  perl(Tk::LabEntry) is needed by clusterssh-3.16.1-1.i386
  perl(Tk::Xlib) is needed by clusterssh-3.16.1-1.i386
  perl(X11::Keysyms) is needed by clusterssh-3.16.1-1.i386
  perl(X11::Protocol) is needed by clusterssh-3.16.1-1.i386
  perl(X11::Protocol::Constants) is needed by clusterssh-3.16.1-1.i386

A quick check of available packages in the Core and Extra repos:

  yum list > yum_list_20050623
  grep -i tk yum_list_20050623 | grep -i perl
  grep -i x11 yum_list_20050623 | grep -i perl

seems to indicate that the required perl modules are not yet packaged.
So perhaps we (or others) can package them.  And then, if it passes a
more thorough review, get clusterssh approved?

And I can't sponsor you [sorry, am not high enough in the FE food
chain ;-)] but I would like to see more scientific and cluster software
in FC/FE so I'll do what I can to help.

Ed

-- 
Edward H. Hill III, PhD
office:  MIT Dept. of EAPS;  Rm 54-1424;  77 Massachusetts Ave.
             Cambridge, MA 02139-4307
emails:  eh3 mit edu                ed eh3 com
URLs:    http://web.mit.edu/eh3/    http://eh3.com/
phone:   617-253-0098
fax:     617-253-4464


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]